Name:		bzrtp
Version:	1.0.6
Release:	2%{?dist}
URL:		https://github.com/BelledonneCommunications/bzrtp
Source0:	https://www.linphone.org/releases/sources/bzrtp/%{name}-%{version}.tar.gz
# https://github.com/BelledonneCommunications/bzrtp/commit/a89b2ddd0a8db8e0cf47c783b3260e1efde9722d#diff-e8ea2362feef9482e8ce26c74931800b
Patch0:		bzrtp-1.0.6-gcc-fix.patch
License:	GPLv2+
Summary:	An open source implementation of the ZRTP keys exchange protocol
# a few C++ bits
BuildRequires:	gcc-c++
BuildRequires:	cmake, libtool
BuildRequires:	bctoolbox-devel, sqlite-devel, libxml2-devel

%description
BZRTP is an open source implementation of the ZRTP keys exchange protocol.

%package devel
Summary:	Development libraries for bzrtp
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
Development libraries for bzrtp.

%prep
%setup -q
%patch0 -p1 -b .gccfix

%build
%cmake . -DENABLE_STATIC=OFF

make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
rm -rf %{buildroot}%{_libdir}/*.la

%ldconfig_scriptlets

%files
%license COPYING
%doc README.md
%{_libdir}/libbzrtp.so.*

%files devel
%{_includedir}/bzrtp/
%{_libdir}/libbzrtp.so
# %%{_libdir}/pkgconfig/libbzrtp.pc
# For cmake
%{_datadir}/bzrtp/

%changelog
* Wed Jan  8 2020 Tom Callaway <spot@fedoraproject.org> - 1.0.6-2
- use cmake

* Wed Jan  8 2020 Tom Callaway <spot@fedoraproject.org> - 1.0.6-1
- initial package
